[tool.poetry]
name = "waves"
version = "1.0.0"
description = "metadata server"
authors = ["Claudio Cacciari <claudio.cacciari@surf.nl>"]
packages = [{ include = "waves" }]

[tool.poetry.dependencies]
python = ">=3.10,<4.0"
annotated-types = ">=0.6.0"
anyio = ">=3.7.1"
bcrypt = ">=4.1.2"
beanie = ">=1.23.6"
certifi = ">=2023.11.17"
cffi = ">=1.16.0"
click = ">=8.1.7"
cryptography = ">=41.0.7"
dnspython = ">=2.4.2"
email-validator = ">=2.1.0.post1"
exceptiongroup = ">=1.2.0"
fastapi = ">=0.105.0"
h11 = ">=0.14.0"
httpcore = ">=1.0.2"
httptools = ">=0.6.1"
httpx = ">=0.25.2"
idna = ">=3.6"
itsdangerous = ">=2.1.2"
Jinja2 = ">=3.1.2"
lazy-model = ">=0.2.0"
motor = ">=3.3.2"
orjson = ">=3.9.10"
passlib = ">=1.7.4"
pydantic = ">=2.5.2"
pydantic-extra-types = ">=2.2.0"
pydantic-settings = ">=2.1.0"
pydantic-core = ">=2.14.5"
pymongo = ">=4.6.1,<4.9"
typing-extensions = ">=4.9.0"
uvicorn = ">=0.24.0"
uvloop = ">=0.19.0"
watchfiles = ">=0.21.0"
websockets = ">=12.0"
wheel = ">=0.38.4"
python-irodsclient = "^2.0.0"
requests = "^2.32.3"
apscheduler = "^3.10.4"


[tool.poetry.group.dev.dependencies]
pytest = ">=8.1.1"
pytest-env = "^1.1.3"

[build-system]
requires = ["poetry-core>=1.0.0"]
build-backend = "poetry.core.masonry.api"

[tool.dockerize]
entrypoint = ["python", "-m", "uvicorn", "waves.main:app", "--host", "0.0.0.0", "--port", "8080"]
ports = [8080]
